﻿using System;
using System.IO;
using System.Windows;
using Petzold.Books;

namespace PhineasReader
{
    public class PhineasFinnPageProvider : PageProvider
    {
        public PhineasFinnPageProvider()
        {
            this.Book = (Application.Current as App).AppSettings.Book;

            using (Stream stream = Application.GetResourceStream(new Uri("Books/pg18000.txt", UriKind.Relative)).Stream)
            {
                PreprocessBook(stream);
            }
        }
    }
}
